1. API reference
  2. Tasks

Update a task

PATCHhttps://howdybell.com/api/v1/tasks/{id}

Updates an existing task. You can modify the title, due date, assignee, and completion status.

Parameters

  • idstringRequiredpath

Request body

  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

  • titlestring

    The new title of the task.

  • due_atstring

    The new due date and time of the task.

  • assignee_user_idinteger

    The ID of the new user assigned to the task.

  • completedboolean

    Whether the task is completed.

Responses

200

  • idinteger
  • contactobject, nullable
    • idinteger
    • namestring
  • titlestring
  • due_atstring, nullable
  • overdueboolean
  • completed_atstring, nullable
  • assigneeobject, nullable
    • idinteger
    • namestring
  • created_byobject, nullable
    • idinteger
    • namestring
  • created_atstring, nullable

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X PATCH "https://howdybell.com/api/v1/tasks/123" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "location_id": 1,
  "title": "string",
  "due_at": "string",
  "assignee_user_id": 1,
  "completed": true
}'
Response200
{
  "id": 1,
  "contact": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "title": "string",
  "due_at": "string",
  "overdue": true,
  "completed_at": "string",
  "assignee": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "created_by": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "created_at": "string"
}
Update a task (PATCH /api/v1/tasks/{id}) | HowdyBell Developers